Index: applications/dual/vahala/DP/prac_verz.lyx
===================================================================
--- applications/dual/vahala/DP/prac_verz.lyx (revision 1452)
+++ applications/dual/vahala/DP/prac_verz.lyx (revision 1453)
@@ -14230,18 +15219,279 @@
 
 \begin_layout Standard
-jak algoritmus zvládá vysoké otáčky
-\end_layout
-
-\begin_layout Subsection
-Možná navíc
-\end_layout
-
-\begin_layout Standard
-reálný běh stroje -- oscilogram
-\end_layout
-
-\begin_layout Standard
-vliv zátěžného momentu, ale to by se muselo hodně upravovat v teoretické
- části
+Konečně bude podrobněji popsáno i chování jednotlivých algoritmů ve vysokých
+ otáčkách.
+ Pro simulace bylo užito trojúhelníkového i lichoběžníkového profilu referenčníc
+h otáček 
+\emph on
+vysoké otáčky
+\emph default
+.
+ Vysoké otáčky jsou problematické především z toho hlediska, že se více
+ uplatňuje nelineární charakter PMSM a chyby modelu stroje, například v
+ důsledku linearizace, se projevují více.
+\end_layout
+
+\begin_layout Standard
+Pro vysoké otáčky již nebude uveden celkový náhled na průběh hodnoty 
+\begin_inset Formula $\omega$
+\end_inset
+
+ v čase, protože je pro všechny použité algoritmy vizuálně shodný.
+ Místo toho bude věnována pozornost detailům těchto průběhů, kde lze nalézt
+ rozdílné chování jednotlivých užitých metod.
+ Zmiňované detaily jsou zobrazeny v grafech na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-otacek-vysoke"
+
+\end_inset
+
+ a) pro trojúhelníkový a b) pro lichoběžníkový profil požadovaných otáček.
+\end_layout
+
+\begin_layout Standard
+Pro trojúhelníkový profil a) vlevo lze při dosahování nejvyšší hodnoty otáček
+ pozorovat jisté 
+\begin_inset Quotes gld
+\end_inset
+
+zpoždění
+\begin_inset Quotes grd
+\end_inset
+
+ skutečné hodnoty za požadovanou.
+ Tento jev je s největší pravděpodobností způsoben úbytky napětí a jejich
+ následnou kompenzací, viz odstavec 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Kompenzace-úbytků-napětí"
+
+\end_inset
+
+.
+ Bez užití kompenzace je zmiňovaný pokles skutečné hodnoty výraznější.
+ S užitím kompenzace se jej však nepodařilo zcela odstranit především z
+ důvodu aplikace velmi jednoduché kompenzační techniky, která však musí
+ být aplikovatelná na celé spektrum otáček stroje.
+ Například menší vylepšení chování ve vysokých otáčkách na zobrazeném detailu
+ by mohlo mít za následek výraznější zhoršení v otáčkách nízkých.
+\end_layout
+
+\begin_layout Standard
+Dále je vhodné poukázat na komplikovanější průchod nulou pro vektorové PI
+ řízení pro trojúhelníkový profil a) vpravo.
+ Před dosažením nulových otáček zde dochází ke 
+\begin_inset Quotes gld
+\end_inset
+
+zvlnění
+\begin_inset Quotes grd
+\end_inset
+
+ trajektorie a tedy k větší chybě oproti ostatním algoritmům, které mají
+ průběh hladší.
+\end_layout
+
+\begin_layout Standard
+Při uvažování lichoběžníkového referenčního profilu b) vlevo je průběh otáček
+ ve vysokéch hodnotách pro všechny algoritmy srovnatelný s výjimkou vektorového
+ PI řízení.
+ Pro tento řídící návrh dochází před dosažením nejvyšší požadované hodnoty
+ k jistému zpomalení růstu, tento jev pomalejšího růstu lze pak pozorovat
+ i pro trojúhelníkový profil.
+ 
+\end_layout
+
+\begin_layout Standard
+Odlišné chování jednolivých algoritmů lze pozorovat při průchodu nulou na
+ lichoběžníkovém profilu b) vpravo.
+ Rozdílnost spočívá především ve schopnosti dosáhnout a udržet nulové otáčky.
+ Nejpomalejší průběh při zastavování stroje má vektorové PI řízení.
+ O málo rychlejší je bikriteriální metoda, která však opět přidává 
+\begin_inset Quotes gld
+\end_inset
+
+budící
+\begin_inset Quotes grd
+\end_inset
+
+ zásah.
+ Podobné průběhy mají jednoduché injektáže a vektorové LQ řízení, přičemž
+ v druhém případě je dosaženo nulových otáček nepatrně rychleji.
+ Nejrychleji dosahuje nuly algoritmus s hyperstavem, v tomto případě však
+ dojde k jistému přesažení nulové meze a stroj se nepatrně otočí v opačném
+ směru.
+\end_layout
+
+\begin_layout Standard
+Porovnání pro jednotlivé algoritmy na základě dosažených průměrných kvadratickýc
+h chyb pak představuje graf na obrázku 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:prubehy-ztraty"
+
+\end_inset
+
+ c).
+ Hodnoty jsou poměrně vyrovnané, i když v případě duálních algoritmů je
+ dosaženo ztrát nižších.
+ Za pozornost však stojí nízká ztráta dosažená za pomoci injektážního návrhu.
+ Obecně je udáváno problematické chování injektážních technik při vysokých
+ otáčkách a zde je dosaženo výsledků relativně nejlepších ze všech uvažovaných
+ metod.
+ Důvodem pro tyto lepší vlastnosti je s největší pravděpodobností užití
+ spolu s rozšířeným Kalmanovým filtrem a vektorovým LQ řízením.
+ Běžně užívané injektážní metody totiž EKF nepoužívají a jsou založeny na
+ vektorovém řízení s PI regulátory.
+ 
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="4" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/vysoke_t_detail.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) detail vysokých otáček -- trojúhelníky 
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/vysoke_l_detail.eps
+	scale 55
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell multicolumn="1" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) detail vysokých otáček -- lichoběžníky
+\end_layout
+
+\end_inset
+</cell>
+<cell multicolumn="2" alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Detail průběhu hodnoty otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ při řízení jednotlivými algoritmy na požadovanou hodnotu 
+\begin_inset Formula $\omega_{ref}$
+\end_inset
+
+ danou profilem 
+\emph on
+vysoké otáčky
+\emph default
+ (a) trojúhelníky a (b) lichoběžníky.
+ Pro (a) i (b) je vždy vlevo detailní pohled na průběh hodnoty otáček v
+ nejvyšším bodě profilu.
+ Vpravo pak je detail průchodu nulovými otáčkami.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:prubehy-otacek-vysoke"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
 \end_layout
 
@@ -14250,10 +15500,447 @@
 \end_layout
 
+\begin_layout Standard
+Výsledky simulací provedených na simulátoru PMSM uvedené v předchozích odstavcíc
+h poukázaly na několik zajímavých faktů, které budou nyní ještě podrobněji
+ diskutovány.
+ 
+\end_layout
+
+\begin_layout Standard
+\begin_inset Float figure
+wide false
+sideways false
+status collapsed
+
+\begin_layout Plain Layout
+\align center
+\begin_inset Tabular
+<lyxtabular version="3" rows="2" columns="2">
+<features tabularvalignment="middle">
+<column alignment="center" valignment="top" width="0">
+<column alignment="center" valignment="top" width="0">
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/sim2_nt.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+\begin_inset Graphics
+	filename obrazky/prubeh/sest_PI_detail.eps
+	scale 45
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+</cell>
+</row>
+<row>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+a) jednoduchý model
+\end_layout
+
+\end_inset
+</cell>
+<cell alignment="center" valignment="top" usebox="none">
+\begin_inset Text
+
+\begin_layout Plain Layout
+b) detail vysokých otáček
+\end_layout
+
+\end_inset
+</cell>
+</row>
+</lyxtabular>
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+\begin_inset Caption
+
+\begin_layout Plain Layout
+Chování vektorového PI řízení: a) simulace při užití 
+\emph on
+jednoduchého modelu
+\emph default
+ stroje na trojúhelníkovém referenčním profilu 
+\emph on
+nízké otáčky
+\emph default
+; b) detail chování ve vysokých otáčkách při užití simulátoru PMSM na profilu
+ 
+\emph on
+vysoké otáčky 
+\emph default
+lichoběžníky, kde je zobrazena současně skutečná hodnota otáček 
+\begin_inset Formula $\omega$
+\end_inset
+
+ a její odhad 
+\begin_inset Formula $\hat{\omega}$
+\end_inset
+
+.
+ 
+\begin_inset CommandInset label
+LatexCommand label
+name "fig:konkretni-detaily-diskuze"
+
+\end_inset
+
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Plain Layout
+
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsection
+Vektorové PI řízení
+\end_layout
+
+\begin_layout Standard
+Nejprve bude věnována pozornost vektorovému řízení založenému na PI regulátorech.
+ Jedná se o klasický algoritmus užívaný k řízení PMSM a zde byl implementován
+ především jako referenční spolu s EKF jako pozorovatelem.
+ Jeho výsledky lze stručně označit jako nejhorší ze zde prezentovaných algoritmů.
+ Jeho největšími problémy jsou neaktivita při nízkých otáčkách, problematické
+ průchody nulou a 
+\begin_inset Quotes gld
+\end_inset
+
+zpomalování
+\begin_inset Quotes grd
+\end_inset
+
+ ve vysokých otáčkách.
+ 
+\end_layout
+
+\begin_layout Standard
+Nejpravděpodobnější příčinou těchto jevů je přílišná 
+\begin_inset Quotes gld
+\end_inset
+
+opartnost
+\begin_inset Quotes grd
+\end_inset
+
+ vektorového PI řízení.
+ Navrhované řídící zásahy jsou pak v nízkých otáčkách příliš malé a v důsledku
+ chyb způsobených napájecí elektronikou, jako úbytky napětí a mrtvé časy,
+ dojde k úplnému vymizení řídícího zásahu.
+ Použitý pozorovatel (EKF) se o tom však nedozví a předpokládá navržený
+ malý řídící zásah.
+ V důsledku toho pak pozorovatel poskytuje odhad, podle kterého je přesně
+ sledována referenční hodnota otáček, i když ve skutečnosti se nic neděje
+ a stroj se neotáčí.
+ Pro toto vysvětlení svědčí také fakt, že při simulacích provedených pouze
+ na základě 
+\emph on
+jednoduchého modelu
+\emph default
+ stroje, který neuvažuje napájecí elektroniku a simuluje PMSM pouze na základě
+ jeho rovnic, k tomuto jevu nedochází, viz obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:konkretni-detaily-diskuze"
+
+\end_inset
+
+ a).
+\end_layout
+
+\begin_layout Standard
+Podobnou příčinu lze nalézt i ve 
+\begin_inset Quotes gld
+\end_inset
+
+zpomalení
+\begin_inset Quotes grd
+\end_inset
+
+ při vysokých otáčkách.
+ K poklesu růstu rychlosti totiž dochází ve chvíli, kdy je dle odhadu dosaženo
+ požadované hodnoty nebo dokonce hodnoty nepatrně vyšší, viz obrázek 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "fig:konkretni-detaily-diskuze"
+
+\end_inset
+
+ b).
+ To, že skutečná hodnota otáček dále roste až k hodnotě požadované je pak
+ pravděpodobně způsobeno jiným regulačním mechanizmem než přímo regulací
+ odchylky otáček na nulu.
+\end_layout
+
+\begin_layout Subsection
+Vektorové řízení založené na LQ regulátoru
+\end_layout
+
+\begin_layout Standard
+Kvůli výše zmiňovaným nedostatkům vektorového PI řízení byla v práci věnována
+ pozornost alternativnímu návrhu vektorového řízení pomocí LQ regulátoru.
+ Jak bylo ukázáno v předchozích odstavcích, především v 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Simulační-porovnání-algoritmů"
+
+\end_inset
+
+ a 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:LQ-regulator-volba-param"
+
+\end_inset
+
+ při využití LQ namísto PI regulátorů je dosaženo znatelně lepších výsledků.
+ 
+\end_layout
+
+\begin_layout Standard
+Aplikace LQ regulátoru na PMSM sebou však nese i jisté komplikace.
+ Především se jedná o výrazně větší výpočetní náročnost, která by mohla
+ být překážkou pro nasazení tohoto regulátoru v reálném čase.
+ Byla proto zkoumána i možnost předpočítaného konstantního LQ regulátoru.
+ Ten sice poskytuje horší výsledky, zejména ve vyšších otáčkách, kdy se
+ výrazněji projeví chyby v důsledku zjednodušení modelu, ale ukazuje se
+ jako relativně použitelná alternativa pro nekonstantní LQ regulátor.
+ Navíc při provedení externího předpočtu na jiném zařízení by jej bylo možno
+ snadno nasadit pro aplikaci v reálném čase díky jeho jednoduchosti.
+\end_layout
+
+\begin_layout Standard
+Použití LQ námísto PI regulátoru pro vektorové řízení se tedy, až na vyšší
+ výpočetní náročnost, ukázalo jako dobrá alternativa a z tohoto návrhu bylo
+ vycházeno i při tvorbě dalších, komplikovanějších algoritmů pro řízení
+ PMSM.
+\end_layout
+
+\begin_layout Subsection
+Jednoduchý injektážní návrh
+\end_layout
+
+\begin_layout Standard
+Jednoduchý injektážní návrh měl sloužit jako zástupce injektážních metod
+ pro srovnání s ostatními algoritmy.
+ Byl však implementován v poněkud odlišné verzi, než jsou injektáže běžně
+ využívány.
+ Jako základní řícící algoritmus bylo použito vektorové řízení založené
+ na LQ regulátoru místo běžně používaných PI regulátorů.
+ To již samo o sobě přináší výhodu vyplývající z lepších výsledků poskytovaných
+ při této volbě regulátoru, viz předchozí odstavec.
+ Další modifikací pak bylo přidání rozšířeného Kalmanova filtru oproti klasickým
+ injektážním metodám v jistém smyslu navíc.
+ V této implementaci lze spatřovat jistý krok směrem k hybridním metodám,
+ které kombinují injektáže s pozorovatelem založeným na zpětné elektromotorické
+ síle.
+ Oproti hybridním metodám však nedochází k omezování injektovaného vysokofrekven
+čního signálu s rostoucími otáčkami.
+ 
+\end_layout
+
+\begin_layout Standard
+Pomocí této metody se podařilo dosáhnout velmi dobrých výsledků.
+ Je však třeba upozornit, že v užité implementaci se jedná o výpočetně poměrně
+ náročnou metodu.
+ Je totiž třeba v každém časovém krotku počítat algoritmus pro EKF, dále
+ oproti PI výrazně náročnější LQ algoritmus a také současně provádět filtraci
+ vysokofrekvenčního přídavného signálu užitím digitálních filtrů.
+ 
+\end_layout
+
+\begin_layout Standard
+Dalším výrazným důvodem, který mluví v neprospěch nejen této ale injektážních
+ metod celkem je fakt, že jsou použitelné pouze na určitou podskupinu PMSM.
+ Aby bylo možno užít injektáží, je nezbytné, aby byly v samotném stroji
+ přítomny anizotropie nějakého typu.
+ Existují však stroje, které anizotropie nemají nebo jsou příliš malé pro
+ efektivní nasazení metody.
+ Dále existuje více typů anizotropií a každý typ vyžaduje odlišný přístup.
+ Jako hlavní nedostatek injektážních metod lze tedy uvést, že nelze vyvinout
+ univerzální metodu použitelnou pro všechny typy PMSM.
+\end_layout
+
+\begin_layout Standard
+Ohledně injektážních metod je ještě vhodné upozornit na problémy při vyšších
+ otáčkách, kdy dochází ke snížené aplikovatelnosti přístupu a problém je
+ obvykle řešen užitím hybridních injektážních algoritmů.
+ 
+\end_layout
+
+\begin_layout Subsection
+Bikriteriální metoda
+\end_layout
+
+\begin_layout Standard
+Velmi zajímavých výsledků bylo dosaženo aplikací vybraného návrhu bikriteriální
+ metody.
+ I když se jedná o relativně jednoduchy postup může poskytnout dobrou regulaci
+ PMSM.
+ Relativně vyšších hodnot chyby dosahuje tento algoritmus jen při nízkých
+ otáčkách, kdy jsou budící zásahy poměrně velké ve srovnání s amplitudou
+ otáček.
+ Se zvýšením otáček se však velikost těchto zásahů stává zanedbatelnými.
+ Budící zásahy jsou navíc přidávány pouze při dosažení nulových otáček,
+ kdy se stává poloha stroje nepozorovatelným stavem, v budícím zásahu lze
+ tedy spatřovat snahu tuto nepozorovatelnost odstranit.
+ Tento jev lze současně považovat za experimentální ověření faktu, že se
+ skutečně jedná o duální algoritmus, protože budící zásah je přidáván jen,
+ když je opravdu potřeba.
+ V případě bikriteriální metody se ale jedná o velmi jednoduchý suboptimální
+ duální návrh, což se zde projevuje především v tom, že budící zásahy jsou
+ někdy nepřiměřeně velké.
+\end_layout
+
+\begin_layout Standard
+Při srovnání s ostatními algoritmy lze konstatovat, že bikriteriální metoda
+ podává lepší výsledky než obyčejné vektorové řízení, zejména při větší
+ neznalosti stavu systému.
+ Oproti zbylým dvěma porovnávaným algoritmům (jednoduché injektáže a hyperstav)
+ jsou pak dosažené výsledky horší, někdy i znatelně.
+ Na druhou stranu zde uvažovaný návrh bikriteriální metody představuje poměrně
+ jednoduché velepšení základního vektorového řízení, který by mohl být použiteln
+ý pro méně náročné aplikace.
+ 
+\end_layout
+
+\begin_layout Subsection
+Algoritmus založený na hyperstavu
+\end_layout
+
+\begin_layout Standard
+Posledním zkoumaným algoritmem bylo využití konceptu hyperstavu.
+ Ten založen na myšlence, že kromě odhadu stavových veličin pracujeme i
+ s jejich kovariancemi a tedy kromě odhadu si uchováváme i informaci o jeho
+ přesnosti.
+ Značnou nevýhodou tohoto přístupu je pak vyšší výpočetní náročnost.
+ Dále je třeba zmínit, že v případě užití hyperstavu se jedná o suboptimální
+ algoritmus.
+ Především skutečná hustota pravděpodobnosti stavových veličin je aproximována
+ pouze na základě prvních dvou momentů.
+ Odhadování a návrh řízení je na hyperstavu prováděn pomocí rozšířeného
+ Kalmanova filtru a LQ regulátoru, které pro PMSM ani pro rovnice tvorby
+ hyperstavu nejsou optimální, protože se nejedná o lineární systém.
+\end_layout
+
+\begin_layout Standard
+Přes zmiňované nedostatky se podařilo pomocí algoritmu využívajícího hyperstavu
+ dosáhnout relativně velmi dobrých výsledků.
+ Dále lze opět konstatovat, že bylo experimentálně potvrzeno, že se jedná
+ o duální algoritmus.
+ Důvodem pro to jsou především výsledky experimentů s neznámým počátečním
+ úhlem natočení, kde se podařilo užitím hyperstavu neznalost efektivně omezovat
+ a to i při požadavku na nulové otáčky.
+ Celý algoritmus je navíc komplexním řešením a ne pouze přidáváním vhodného
+ signálu jako u bikriteriální metody.
+ Také bylo dosaženo lepšího kompromisu mezi 
+\emph on
+opatrností
+\emph default
+ a 
+\emph on
+buzením
+\emph default
+.
+ V některých případech sice algoritmus dosáhl vyšší hodnoty chyby řízení,
+ nepodažilo se ale nalézt žádnou systematickou chybu, kterou by buzení způsobova
+lo.
+\end_layout
+
+\begin_layout Standard
+Navíc pro správnou funkčnost algoritmu s hyperstavem není třeba předpokladu
+ různých indukčností v osách 
+\begin_inset Formula $d-q$
+\end_inset
+
+, tak jako pro injektáže.
+ Lze tedy říci, že pro SMPMSM, které mají velmi malý nebo téměř žádný rozdíl
+ indukčností 
+\begin_inset Formula $L_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $L_{q}$
+\end_inset
+
+ dosahuje tento algoritmus nejlepších výsledků ze zde testovaných algoritmů.
+\end_layout
+
+\begin_layout Subsection
+Náměty pro další zkoumání
+\end_layout
+
+\begin_layout Standard
+Vzhledem k výsledkům popsaným v předchozím textu existuje několik problémů,
+ které jsou obzvláště vhodné k dalšímu zkoumání: 
+\end_layout
+
+\begin_layout Standard
+Jednak by bylo vhodné věnovat se dalšímu výzkumu bikriteriální metody, především
+ způsobu jak omezit v některých případech příliš velké budící zásahy.
+ Dále pak navrhnout takové zjednodušení bikriteriální metody, aby bylo možné
+ ji implementovat pro řízení skutečného PMSM v reálném čase.
+\end_layout
+
+\begin_layout Standard
+Dalším důležitým problémem vhodným k výzkumu je vliv zátěžného momentu.
+ Zátěžný moment v této práci nebyl uvažován, avšak při užití řídících algoritmů
+ pro reálné aplikace je třeba zvládnout práci i s neznámým časově proměnným
+ zátěžným momentem.
+\end_layout
+
+\begin_layout Standard
+Podstatnou záležitostí je i detailnější prozkoumání a vyřešení problému
+ symetrie rovnic popisujících PMSM na substituci 
+\begin_inset Formula $\left(\omega,\vartheta\right)\longleftrightarrow\left(-\omega,\vartheta+\pi\right)$
+\end_inset
+
+.
+ Nebo ekvivalentně vyvinutí metody, která zvládne odhadovat polohu v celém
+ intervalu 
+\begin_inset Formula $\left\langle -\pi,\pi\right\rangle $
+\end_inset
+
+.
+\end_layout
+
 \begin_layout Chapter*
 Závěr
-\end_layout
-
-\begin_layout Standard
-
 \end_layout
 
